# $Revision: 1.70 $, $Date: 2007/01/29 23:57:26 $
#
# Conditional build:
%bcond_without	opera		# do not build without limited features: for opera
#
%ifnarch %{ix86} ppc sparc sparc64
%undefine	with_opera
%endif
Summary:	Embedded Video Player for Mozilla
Summary(pl):	Osadzony odtwarzacz wideo dla Mozilli
Name:		mplayerplug-in
Version:	3.35
Release:	4
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://dl.sourceforge.net/mplayerplug-in/%{name}-%{version}.tar.gz
# Source0-md5:	5efa01fa433ee4c7118e534c36198e72
Patch0:		%{name}-opera.patch
Patch1:		%{name}-build.patch
Patch2:		%{name}-g_idle_add-fix.patch
Patch3:		%{name}-c.patch
URL:		http://mplayerplug-in.sourceforge.net/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	xulrunner-devel
Requires:	%{name}-common = %{version}-%{release}
Requires:	browser-plugins >= 2.0
Requires:	browser-plugins(%{_target_base_arch})
Obsoletes:	konqueror-plugin-mplayer
Obsoletes:	mozilla-firefox-plugin-mplayer
Obsoletes:	mozilla-plugin-mplayer
Obsoletes:	opera-plugin-mplayer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mplayerplug-in is a browser plugin that uses mplayer to play videos
from websites.

%description -l pl
mplayerplug-in jest wtyczk przegldarki wykorzystujc mplayera do
odtwarzania klipw filmowych ze stron WWW.

%package common
Summary:	Common files for %{name}
Summary(pl):	Wsplne pliki dla %{name}
Group:		X11/Applications/Multimedia
Requires:	mplayer >= 1:1.0-2.pre7try3

%description common
This package provides common files for %{name}.

%description common -l pl
Ten pakiet dostarcza wsplne pliki dla %{name}.

%package opera
Summary:	Embedded Video Player for Opera
Summary(pl):	Osadzony odtwarzacz wideo dla Opery
Group:		X11/Applications/Multimedia
Requires:	%{name}-common = %{version}-%{release}
Requires:	opera
Obsoletes:	opera-plugin-mplayer

%description opera
mplayerplug-in is a browser plugin that uses mplayer to play videos
from websites. This plugin is adapted for Opera.

%description opera -l pl
mplayerplug-in jest wtyczk przegldarki wykorzystujc mplayera do
odtwarzania klipw filmowych ze stron WWW. Ta wtyczka jest dostosowana
do Opery.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoconf}

# don't use --enable-x86_64 on x86_64, this builds 32-bit version on x86_64 host

%if %{with opera}
# for opera (works only with X toolkit)
%configure \
	--enable-x
%{__make}
mkdir -p opera
mv -f *.so *.xpt opera
%endif

# other (with no limited features)
%configure \
	--enable-gtk2
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/opera/plugins,%{_browserpluginsdir},%{_sysconfdir}/mplayer}

%{__make} install -C po \
	DESTDIR=$RPM_BUILD_ROOT

install *.so *.xpt $RPM_BUILD_ROOT%{_browserpluginsdir}
%if %{with opera}
install opera/*.so $RPM_BUILD_ROOT%{_libdir}/opera/plugins
install opera/*.xpt $RPM_BUILD_ROOT%{_libdir}/opera/plugins
%endif
install mplayerplug-in.conf $RPM_BUILD_ROOT%{_sysconfdir}
install mplayerplug-in.types $RPM_BUILD_ROOT%{_sysconfdir}/mplayer

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_browser_plugins

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_browserpluginsdir}/*.so
%{_browserpluginsdir}/*.xpt

%files common
%defattr(644,root,root,755)
%doc ChangeLog TODO README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mplayerplug-in.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mplayer/mplayerplug-in.types

%if %{with opera}
%files opera
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/opera/plugins/*.so
%{_libdir}/opera/plugins/*.xpt
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mplayerplug-in.spec,v $
Revision 1.70  2007/01/29 23:57:26  glen
- AC deps; build with xulrunner; rel 4

Revision 1.69  2006/12/23 02:39:44  glen
- browser-plugins v2
- add opera bcond

Revision 1.68  2006/12/21 20:21:19  arekm
- BR: xorg-lib-libXt-devel

Revision 1.67  2006/12/19 17:10:59  arekm
- rel 3; fix build

Revision 1.66  2006/12/19 17:07:21  arekm
--enable-x86_64 creates a problem which is supposed to be fixed by -x86_64link.patch; don't create the problem in first place

Revision 1.65  2006/12/19 07:31:03  shadzik
- add x86_64link.patch - lets see if this works

Revision 1.64  2006/12/19 07:09:28  shadzik
- uncomment xorg BR, my f***ed up mistake

Revision 1.63  2006/12/19 07:04:02  shadzik
- try to fix x86_64 build
- rel 2

Revision 1.62  2006/12/19 06:47:37  shadzik
- add patch2
- builds

Revision 1.61  2006/12/19 05:49:57  shadzik
- auto up to 3.35

Revision 1.60  2006/11/30 14:39:58  adgor
- 3.31
- Switched to mozilla-firefox
- BR xorg-lib-libXpm-devel

Revision 1.59  2006/10/30 17:27:09  shadzik
- rel up

Revision 1.58  2006/10/30 17:26:36  shadzik
- add mozilla-firefox-bin support

Revision 1.57  2006/08/28 09:01:49  charles
- -common R: mplayer up to >= 1.0pre7try3

Revision 1.56  2006/08/27 21:35:31  arekm
- up to 3.30 snap

Revision 1.55  2006/05/14 19:48:24  arekm
- link with pthread (now works with opera, too)

Revision 1.54  2006/05/14 19:08:42  arekm
- upstream divix support as dvx

Revision 1.53  2006/05/14 14:50:15  arekm
- divix

Revision 1.52  2006/05/14 14:38:12  arekm
- support for divx files

Revision 1.51  2006/05/14 13:50:34  charles
- typo

Revision 1.50  2006/05/14 13:14:22  arekm
- updated

Revision 1.49  2006/05/14 13:09:38  arekm
- install xpt files

Revision 1.48  2006/05/14 08:52:04  arekm
- switch to daily snaps

Revision 1.47  2006/05/04 21:09:30  glen
- browser-plugins(%{_target_base_arch}), rel 2

Revision 1.46  2006/04/21 00:21:12  charles
- added seamonkey to supported browsers

Revision 1.45  2006/04/19 19:54:26  adamg
- triggers for seamonkey

Revision 1.44  2006/04/11 03:00:59  charles
- updated to 3.25

Revision 1.43  2006/02/13 04:06:50  charles
- updated to 3.21

Revision 1.42  2006/02/08 11:15:46  qboosh
- cosmetics

Revision 1.41  2006/02/07 17:13:32  charles
- separate build and install for Opera (works only with X toolkit - limited features)
- added locales (required only by Gtk+2 toolkit)
- separated -common and -opera files, updates R,O
- rel. 2

Revision 1.40  2005/12/09 03:07:58  aredridel
- up to 3.17

Revision 1.39  2005/11/24 10:57:55  glen
- rel 1

Revision 1.38  2005/11/06 06:41:46  aredridel
- up to 3.15

Revision 1.37  2005/11/04 09:59:13  glen
- arch specific browser-plugins

Revision 1.36  2005/10/04 12:38:47  blues
- started with 3.11 - does not build

Revision 1.35  2005/08/17 22:37:29  qboosh
- pl update

Revision 1.34  2005/08/17 18:21:23  spider
- missing br (pointed in pld forum)

Revision 1.33  2005/08/11 23:55:38  glen
- minimum mplayer version is 1.0pre5

Revision 1.32  2005/08/11 23:06:14  glen
- stupid sourceforge #3: restore url

Revision 1.31  2005/08/11 23:05:04  glen
- stupid sourceforge #2

Revision 1.30  2005/08/11 23:03:29  glen
- stupid sourceforge

Revision 1.29  2005/08/11 23:02:08  glen
- 3.05 source

Revision 1.28  2005/08/11 22:14:41  glen
- merged from DEVEL: one package for all browsers using triggers
- added missing plugins to package

Revision 1.27  2005/07/26 21:03:54  adamg
- updated to 3.01

Revision 1.26  2005/06/16 20:57:40  qboosh
- pl unification, copy-pasto

Revision 1.25  2005/06/15 21:38:12  glen
- TODO updated

Revision 1.24  2005/06/15 20:00:36  blekot
- konqueror added
- TODO changed
- rel 2

Revision 1.23  2005/06/15 19:49:56  blekot
- added opera plugin

Revision 1.22  2005/06/15 19:34:51  blekot
- up to 2.85

Revision 1.21  2005/06/07 19:07:19  ankry
- typo

Revision 1.20  2005/06/07 18:55:00  glen
- rel 2 for STBR

Revision 1.19  2005/06/07 18:53:56  blekot
- pl desc/summary for firefox plugin
- STBR

Revision 1.18  2005/06/07 18:45:42  glen
- add mozilla-firefox plugin

Revision 1.17  2005/06/07 18:36:53  glen
- BR libstdc++-devel

Revision 1.16  2005/02/15 21:43:08  zawadaa
- update to 2.80
- STBR

Revision 1.15  2005/01/03 20:33:49  aniolek
- updated to 2.75

Revision 1.14  2004/10/24 12:12:48  paladine
- www->WWW

Revision 1.13  2004/10/23 21:20:57  dzeus
- up to 2.70

Revision 1.12  2004/06/20 13:55:42  grzegol
- updated to 2.66

Revision 1.11  2004/06/19 09:49:04  grzegol
- updated to 2.65

Revision 1.10  2004/05/24 20:45:15  havner
- BR: pkgconfig

Revision 1.9  2004/04/21 15:24:08  grzegol
- updated to 2.60

Revision 1.8  2003/12/14 10:02:00  jajcus
- Version: 1.0
- GUI disabled at it breaks the plugin
- "mini" mplayer skin removed - it not needed when GUI is disabled
  warning: this plugin crashes browser after a movie is played :-(

Revision 1.7  2003/09/04 20:05:07  krzak
- up to 0.80

Revision 1.6  2003/05/28 12:59:46  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:50:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/19 13:43:37  misi3k
- updated to 0.71

Revision 1.3  2003/02/12 20:40:51  wolf
- gui support
- finished

Revision 1.2  2003/02/12 19:39:44  wolf
- adapterized
